/* eslint-disable formatjs/enforce-description */
/* eslint-disable formatjs/enforce-default-message */
/* eslint-disable formatjs/no-id */

import { getIntl } from "@/i18n"

export default async function ServerComponentWithTernaryInside() {
  const intl = await getIntl()

  return (
    <h1>
      {true ? intl.formatMessage({
        defaultMessage: "Some true string",
        description: {}
      }) : intl.formatMessage({
        defaultMessage: "Some false string",
        description: {}
      })}
    </h1>
  )
}
